import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);


const sqEdge = 300;
const XandY_sq = -150;
const XYLine = 75;
const lineWidth = 4;
const yOffset = 2;
const xOffset = 3;
const circleR = 8;
const linepairOffset = 80;


const square = g.append('rect')
  				  .attr('x',XandY_sq)
  				  .attr('y',XandY_sq)
  				  .attr('width', sqEdge)
  				  .attr('height', sqEdge)
				  .attr('fill', 'white')
				  .attr('stroke', '#3E3E3F')
				  .attr('stroke-width', '6');

//group for lines to set color and stroke width
const linesG = g.append('g')
				  .attr('stroke', '#D4D5D7')
				  .attr('stroke-width',lineWidth);
//3/4 lines
const vertLine1 = linesG.append('line')
					      .attr('x1',XYLine)
						  .attr('y1',-XYLine)
					      .attr('x2',XYLine)
					      .attr('y2',-XandY_sq-yOffset);

const horizLine1 = linesG.append('line')
					      .attr('x1',XandY_sq+xOffset)
					      .attr('y1',-XYLine)
					      .attr('x2',XYLine)
					      .attr('y2',-XYLine);
//1/4 lines
const vertLine2 = linesG.append('line')
					      .attr('x1',-XYLine)
					      .attr('y1',XYLine - linepairOffset)
					      .attr('x2',-XYLine)
					      .attr('y2',-XandY_sq-yOffset);

const horizLine2 = linesG.append('line')
					       .attr('x1',XandY_sq+xOffset)
					       .attr('y1',XYLine -linepairOffset)
					       .attr('x2',-XYLine)
					       .attr('y2',XYLine-linepairOffset);

//group for circles to set color and fill
const circlesG = g.append('g')
				    .attr('fill','#3E3E3F');
                        
const circle1 = circlesG.append('circle')
						  .attr('r', circleR)
						  .attr('cx',XYLine)
						  .attr('cy',-XYLine);

const circle2 = circlesG.append('circle')
						  .attr('r', circleR)
						  .attr('cx',-XYLine)
						  .attr('cy',XYLine-linepairOffset);